## ispell-czech 20010104

=== Makefile ===
.SUFFIXES:
.SUFFIXES: .hash .a-z .cat
.PRECIOUS: %.a-z

LANGUAGE	= czech
ISPELLDIR	= $(TOPDIR)/usr/lib/ispell
CZECHSOURCES	= hlavni.cat nepravid.cat nesklon.cat zajmena.cat \
			cislovk.cat prislovc.cat predlozk.cat spojky.cat \
			citoslov.cat castice.cat zkratky.cat nezaraz.cat \
			krestni.cat prijmeni.cat narstjaz.cat \
			obce.cat geogr.cat jmena.cat hovor.cat chybej.cat

all: $(LANGUAGE).hash

.a-z.hash:
	buildhash $(LANGUAGE).a-z $(LANGUAGE).aff $(LANGUAGE).hash

install:
	[ ! -d $(ISPELLDIR) ] && mkdir -p $(ISPELLDIR)
	install -o 0 -g 0 -m 644 ./$(LANGUAGE).aff $(ISPELLDIR)
	install -o 0 -g 0 -m 644 ./$(LANGUAGE).hash $(ISPELLDIR)
	rm -f ./$(LANGUAGE).hash

czech.a-z: $(CZECHSOURCES)
	rm -f czech.a-z
	perl glob.p $(CZECHSOURCES) | LC_ALL=C sort -u > czech.a-z

## ispell-czech 20040229

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	buildhash $(LANGUAGE).a-z $(LANGUAGE).aff $(LANGUAGE).hash
 
 install:
-	[ ! -d $(ISPELLDIR) ] && mkdir -p $(ISPELLDIR)
+	[ -d $(ISPELLDIR) ] || mkdir -p $(ISPELLDIR)
 	install -o 0 -g 0 -m 644 ./$(LANGUAGE).aff $(ISPELLDIR)
 	install -o 0 -g 0 -m 644 ./$(LANGUAGE).hash $(ISPELLDIR)
 	rm -f ./$(LANGUAGE).hash

=== debian/changelog ===
ispell-czech (20040229-9) unstable; urgency=medium

  * Really allow R³ (closes: #1089352).

 -- Petr Čech <cech@debian.org>  Tue, 31 Dec 2024 11:30:56 +0100

ispell-czech (20040229-8) unstable; urgency=low

  * Source-only upload to (closes: #1052354).

 -- Petr Čech <cech@debian.org>  Fri, 29 Sep 2023 07:24:55 +0200

ispell-czech (20040229-7) unstable; urgency=medium

  * Add Build-Depends: on dh-exec (closes: 1050674)

 -- Petr Čech <cech@debian.org>  Sun, 03 Sep 2023 22:50:02 +0200

ispell-czech (20040229-6) unstable; urgency=medium

  * Acknowledge NMUs. Thanks.
  * debian/rules: rewrite to use plain dh
  * debian/clean: remove generated czech.stat in clean rule (Closes: #1046559)
  * debian/control: Update Standards-Version 4.6.2
  * debian/control: Update debhelper compat level to 13
  * debian/copyright: Switch to machine-readable format 1.0
  * debian/patches: convert manual patch to quilt

 -- Petr Čech <cech@debian.org>  Sun, 20 Aug 2023 00:45:52 +0200

ispell-czech (20040229-5.3) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 01:07:17 +0100

ispell-czech (20040229-5.2) unstable; urgency=medium

  * Non-Maintainer upload.
  * Add missing build-{arch,indep} targets (Closes: #821995).

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 11 Jul 2016 15:36:58 +0200

ispell-czech (20040229-5.1) unstable; urgency=low

  * Non-Maintainer upload.
  * Build against new ispell (Closes: #623074).
  * Build against a recent dictionaries-common-dev to avoid
    openoffice.org snippets (Closes: #629076)

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 02 Sep 2011 18:45:14 +0200

ispell-czech (20040229-5) unstable; urgency=low

  * Ack NMU (closes: #547431)
    - Thanks for converting to new dictionary policy
  * debian/copyright: fix Czech characters after iconv convertsion
  * debian/control, debian/changelog: use diacritics, utf8
  * debian/{control,clean,rules}: use debhelper v7
  * debian/control: Standards-Version: 3.8.3
  * debian/patches/cs_CZ.aff.diff: fix generated cs_CZ.aff (closes: #414036)

 -- Petr Čech <cech@debian.org>  Sat, 16 Jan 2010 07:54:12 +0000

ispell-czech (20040229-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * rename to -cs to match DSDT policy (closes: #426542)
  * move dict to /usr/share/hunspell and add compat symlinks from
    /usr/share/myspell/dicts (closes: #541947)
  * add cs.{aff,dic} -> cs_CZ.{aff,dic} symlinks (closes: #373737)
  * debian/copyright: iconv to utf8

 -- Rene Engelhard <rene@debian.org>  Sat, 19 Sep 2009 18:43:38 +0200

ispell-czech (20040229-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * replace libmyspell-dev by hunspell-tools | myspell-tools. Closes: #426543

 -- Andreas Barth <aba@not.so.argh.org>  Sat, 23 Jun 2007 15:06:27 +0000

ispell-czech (20040229-4) unstable; urgency=low

  * Apply patch from Miroslav Kure to generate myspell disctionary.
    This also (closes: #237973, #246129)

 -- Petr Cech <cech@debian.org>  Mon, 28 Nov 2005 17:09:59 +0100

ispell-czech (20040229-3) unstable; urgency=low

  * debian/rules: fix paths as result of v4 debhelper
    (closes: #332901)

 -- Petr Cech <cech@debian.org>  Tue, 11 Oct 2005 17:05:35 +0200

ispell-czech (20040229-2) unstable; urgency=low

  * debian/control: - update depends to automagicly generate debconf
                      dependencies (closes: #331867)
                    - depend on v4 debhelper
                    - remove . from short description
                    - Standards-Version: 3.6.2 (no changes)
  * debian/compat: debhelper v4
  * debian/changelog: recode into UTF-8

 -- Petr Cech <cech@debian.org>  Fri,  7 Oct 2005 11:57:38 +0200

ispell-czech (20040229-1) unstable; urgency=low

  * New upstream version.

 -- Petr Cech <cech@debian.org>  Tue,  9 Mar 2004 09:48:39 +0100

ispell-czech (20020628-2) unstable; urgency=low

  * Ack NMUs (closes: #164238).
  * Update .config script (closes: #232143).

 -- Petr Cech <cech@debian.org>  Wed, 11 Feb 2004 14:31:35 +0100

ispell-czech (20020628-1.2) unstable; urgency=low

  * Just a rebuild to make sure at least dictionaries-common-0.8.4
    is used,since there was a minor change in the debconf config
    files. Petr, no need to change anything in your sources. This fix
    will propagate the next time you build the package.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 28 Oct 2002 13:08:58 +0100

ispell-czech (20020628-1.1) unstable; urgency=low

  * Non-Maintainer Upload with maintainer permission
  * New policy package (closes: #164238)
  * Adapted by means of uupdate to new Debian release by the new
    maintainer, Petr Cech <cech@debian.org>
  * debian/control:
     - Last minute change in policy:
       Changed Pre-Depends: dictionaries-common to a simple 'Depends'
     - Removed warnings about the experimental character of the package.
     - Changed maintainer name to the new official maintainer, Petr Cech
  * debian/changelog:
     - Removed obsolete emacs stuff from changelog

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 11 Oct 2002 17:47:51 +0200

ispell-czech (20020628-1) unstable; urgency=low

  * New upstream release. This entry taken from new Debian release
    as reference

 -- Petr Cech <cech@debian.org>  Wed,  9 Oct 2002 08:40:59 +0200

ispell-czech (20010104-2.3) unstable; urgency=low

  * Added a Pspell-Ispell field to info-ispell file with contents
    'cs iso8859-2'. Since we use installdeb-ispell this will autogenerate
    the appropiate pspell-ispell pwli files.

   (20010104-2.2) 15 Feb 2002

  * Rebuilding against ispell 3.1.20-30. Will now use MAXSTRINGCHARS=128

   (20010104-2.1) 19 Oct 2001

  * test package to comply with the dictionaries policy proposal.
  * Reverted name from idict-czech to iczech

 -- Agustín Martín Domingo <agmartin@debian.org>  Tue, 11 Jun 2002 16:46:11 +0200


=== debian/control ===
Source: ispell-czech
Section: text
Priority: optional
Maintainer: Petr Čech <cech@debian.org>
Build-Depends: debhelper-compat (= 13), dh-exec, ispell (>= 3.3.02), dictionaries-common-dev (>= 1.10.5), hunspell-tools | myspell-tools
Standards-Version: 4.6.2
Rules-Requires-Root: no

Package: iczech
Architecture: any
Depends: ispell (>= 3.3.02), ${ispell:Depends}, ${misc:Depends}
Provides: ispell-dictionary
Description: Czech dictionary for ispell
 This is the Czech dictionary for ispell.
 Author: Petr Kolář <Petr.Kolar@vslib.cz>

Package: myspell-cs
Architecture: all
Depends: dictionaries-common (>= 0.10) | openoffice.org-updatedicts, ${misc:Depends}
Provides: myspell-dictionary, myspell-dictionary-cs, myspell-cs-cz
Conflicts: openoffice.org (<= 1.0.3-2), myspell-cs-cz
Replaces: myspell-cs-cz
Description: Czech dictionary for myspell
 This is the Czech dictionary for use with the myspell spellchecker
 which is currently used within OpenOffice.org and the mozilla
 spellchecker.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_after_dh_auto_build:
	(wc -l < czech.a-z; cat czech.a-z) > cs_CZ.mydic
	ispellaff2myspell --charset=latin2 --myheader=debian/cs_CZ.myheader czech.aff > cs_CZ.myaff
	#patch -p1 <debian/patches/cs_CZ.aff.diff

execute_after_dh_install-indep:
	installdeb-myspell -p myspell-cs

execute_after_dh_install-arch:
	installdeb-ispell -p iczech
